Package tigase.monitor.modules

## Class AdHocCommandMonitorModule

- java.lang.Object
- - tigase.component.modules.AbstractModule
  - - tigase.component.modules.impl.AdHocCommandModule
    - - tigase.monitor.modules.AdHocCommandMonitorModule

- All Implemented Interfaces:
    `Module`, `Initializable`

      @Bean(name="commands",
            parent=MonitorComponent.class,
            active=true)
      public class AdHocCommandMonitorModule
      extends AdHocCommandModule
      implements Initializable

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.component.modules.impl.AdHocCommandModule

      `AdHocCommandModule.ScriptCommandProcessor`

  - ### Field Summary

    - ### Fields inherited from class tigase.component.modules.impl.AdHocCommandModule

      `COMMAND_PATH, commandsManager, CRIT, ID, scriptProcessor, XMLNS`

    - ### Fields inherited from class tigase.component.modules.AbstractModule

      `eventBus, log, writer`

    - ### Fields inherited from interface tigase.component.modules.Module

      `EMPTY_FEATURES`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AdHocCommandMonitorModule()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `initialize()` | Method will be called, when bean will be created, configured and ready to use.
    `void` | `process​(Packet packet)` | Process incoming stanza.

    - ### Methods inherited from class tigase.component.modules.impl.AdHocCommandModule

      `addCommandListItemsElements, getCommandListItems, getCommandsManager, getFeatures, getModuleCriteria, getScriptItems, getScriptProcessor, processScriptAdHoc, register, setCommandsManager, setScriptProcessor`

    - ### Methods inherited from class tigase.component.modules.AbstractModule

      `fireEvent, getEventBus, getWriter, setEventBus, setWriter, write, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.component.modules.Module

      `canHandle`

- - ### Constructor Detail

    - #### AdHocCommandMonitorModule

          public AdHocCommandMonitorModule()

  - ### Method Detail

    - #### initialize

          public void initialize()

      Description copied from interface: `Initializable`
      Method will be called, when bean will be created, configured and ready to use.
      Specified by:
        `initialize` in interface `Initializable`
      Overrides:
        `initialize` in class `AdHocCommandModule`

    - #### process

          public void process​(Packet packet)
                       throws ComponentException

      Description copied from interface: `Module`
      Process incoming stanza.
      Specified by:
        `process` in interface `Module`
      Overrides:
        `process` in class `AdHocCommandModule`
      Parameters:
        `packet` - received `stanza`.
      Throws:
        `ComponentException` - if stanza can't be processed correctly. ComponentException is converted to error stanza and returned to stanza sender.